Bug 445129 - the application im-chooser crashes in Fedora 9 when attempting to open it
the application im-chooser crashes in Fedora 9 when attempting to open it
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: im-chooser (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
: 445751 446365 447034 454386 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 06:15 EDT by Pramod Dematagoda
Modified: 2008-07-13 22:43 EDT (History)
8 users (show)

See Also:
Fixed In Version: 0.99.6-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 07:09:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The file given by the bug reporter tool. (266.21 KB, text/plain)
2008-05-04 06:15 EDT, Pramod Dematagoda
no flags Details
file created by error reporter tool (263.72 KB, text/plain)
2008-05-15 10:10 EDT, Guido Scholz
no flags Details

  None (edit)
Description Pramod Dematagoda 2008-05-04 06:15:54 EDT
Description of problem:


Version-Release number of selected component (if applicable):
0.99.6

How reproducible:Trying to start up the application.


Steps to Reproduce:
1.Attempt to start the application.
2.
3.
  
Actual results:The bug reporter tool reports a crash and provides a file
containing information on the crash.


Expected results:


Additional info:This is the output received when attempting to run the program
via terminal:-

(im-chooser:3232): IMSettings-WARNING **: Failed to invoke a method
`WhatInputMethodIsRunning':
  Failed to open file '/tmp/scim_conf:xim::0.0-pramod': No such file or directory
2a3bf786-ce35-484b-70b72762-3ca7ec7b is dumped
Comment 1 Pramod Dematagoda 2008-05-04 06:15:54 EDT
Created attachment 304483 [details]
The file given by the bug reporter tool.
Comment 2 Akira TAGOH 2008-05-08 21:31:02 EDT
*** Bug 445751 has been marked as a duplicate of this bug. ***
Comment 3 Peter Gordon 2008-05-10 04:26:37 EDT
I also see this error, with the same IMSettings-WARNING message.
Comment 4 Peter Gordon 2008-05-10 13:45:31 EDT
FYI: After reverting to F8's im-chooser-0.5.3-1.fc8, it no longer exhibits this
problem.
Comment 5 Akira TAGOH 2008-05-14 04:11:29 EDT
Fixed in 0.99.6-4.fc10 and -4.fc9.
Comment 6 Eugene Teo (Security Response) 2008-05-14 04:31:54 EDT
I have tested this, and it worked. However, the hotkeys in scim setup are
missing. Thanks.
Comment 7 Fedora Update System 2008-05-14 05:44:19 EDT
im-chooser-0.99.6-4.fc9 has been submitted as an update for Fedora 9
Comment 8 Akira TAGOH 2008-05-14 05:47:57 EDT
Eugene, what the kind of hotkeys are missing? im-chooser nor imsettings doesn't
deal with it though. please make sure if scim is running.
Comment 9 Bug Zapper 2008-05-14 06:37:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Akira TAGOH 2008-05-14 07:20:49 EDT
*** Bug 446365 has been marked as a duplicate of this bug. ***
Comment 11 Eugene Teo (Security Response) 2008-05-14 08:18:15 EDT
Hi Akira-san,

Everything is working fine now, except that the hotkey shortcuts in SCIM setup
is missing. After adding the shortcuts myself, it worked perfectly. I believe
this should be a SCIM bug (same problem when Fedora 8 was released :)

Thanks,
Eugene
Comment 12 Fedora Update System 2008-05-14 18:14:41 EDT
im-chooser-0.99.6-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update im-chooser'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3948
Comment 13 Guido Scholz 2008-05-15 10:10:33 EDT
Created attachment 305490 [details]
file created by error reporter tool
Comment 14 Feng Yu 2008-05-15 12:02:23 EDT
No the bug is not fixed in -4 rpms.
I still receive the error:

(im-chooser:3427): IMSettings-WARNING **: Failed to invoke a method
`WhatInputMethodIsRunning':
  Failed to open file '/tmp/scim_conf:xim::0.0-rainwoodman': No such file or
directory


Comment 15 Eugene Teo (Security Response) 2008-05-15 12:08:48 EDT
Hi Feng Yu,

I can't remember if I did a logout or reboot, but either one of the methods worked.

Thanks,
Eugene
Comment 16 Akira TAGOH 2008-05-15 21:42:39 EDT
(In reply to comment #14)
> No the bug is not fixed in -4 rpms.
> I still receive the error:

If you have upgraded from the remote host, it may be likely to fail restarting
the daemons. please make sure if im-settings-daemon is surely restarted
particularly. yes, restarting your desktop session would be safe and easier way
so far.
Comment 17 Feng Yu 2008-05-16 10:37:31 EDT
(In reply to comment #15)
> Hi Feng Yu,
> 
> I can't remember if I did a logout or reboot, but either one of the methods
worked.
> 
> Thanks,
> Eugene
It is fixed for a newly created user.
Comment 18 Akira TAGOH 2008-05-16 13:18:43 EDT
(In reply to comment #17)
> It is fixed for a newly created user.

How about for the existing users then?
Comment 19 Akira TAGOH 2008-05-18 19:49:02 EDT
*** Bug 447034 has been marked as a duplicate of this bug. ***
Comment 20 Fedora Update System 2008-05-21 07:09:14 EDT
im-chooser-0.99.6-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Akira TAGOH 2008-07-13 22:43:00 EDT
*** Bug 454386 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.